Bug 1043318 - broken symlinks for iso directory are imported
Summary: broken symlinks for iso directory are imported
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Beaker
Classification: Retired
Component: lab controller
Version: 0.15
Hardware: Unspecified
OS: Unspecified
medium
unspecified vote
Target Milestone: ---
Assignee: beaker-dev-list
QA Contact: tools-bugs
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-12-15 23:08 UTC by Dan Callaghan
Modified: 2020-10-21 14:18 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-21 14:14:38 UTC


Attachments (Terms of Use)

Description Dan Callaghan 2013-12-15 23:08:25 UTC
Some trees contains a symlink for their iso/ directory, linking to an absolute path under /mnt. This is a broken symlink under normal circumstances but it is served correctly by the HTTP/FTP mirror servers because they have the necessary mounts which the symlink is assuming.

$ ls -al /net/example.com/vol/engineering/devarchive/redhat/rel-eng/RHEL6.5-20131213.0/6/Server/ppc64/
total 180
drwxr-xr-x. 3 root root 172032 Dec 13 11:06 debug
lrwxrwxrwx. 1 root root     58 Dec 13 11:46 iso -> /mnt/redhat/iso/work/RHEL6.5-20131213.0/6/Server/ppc64/iso
drwxrwsr-x. 2 root root   4096 Dec 13 11:46 jigdo
drwxr-xr-x. 8 root root   4096 Dec 13 11:18 os

In this case, beaker-import imports an nfs+iso:// URL successfully, but it is not usable by Anaconda since it will see the link as broken over NFS, and it causes beaker-expire-distros to complain constantly about the URL being missing.

Comment 3 Nick Coghlan 2013-12-15 23:45:37 UTC
The failure mode would actually be worse if NFS *did* allow symlinks spanning to other mounted volumes: we could end up trying to do a provision over the WAN.

Time for a new architecture guide section on distro import, storage and URLs, perhaps? Bug 978824 touches on this.

Comment 4 Dan Callaghan 2014-04-13 22:04:14 UTC
I think we need to do something about this soon (even if it's just a hack in the existing import script, rather than a nicer solution using the recursive importer we had planned). It causes a huge amount of cron spam and we regularly import distros that are not installable due to the symlink.


Note You need to log in before you can comment on or make changes to this bug.